
Infrastructure - Bug #2128

cannot pass serialized exceptions to HEAD requests

2011-12-09 19:20 - Rob Nahf

Status: Closed Start date: 2011-12-09

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.50-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

MN.describe cannot pass the required D1 exceptions, because HEAD requests don't accept a content stream, by specification.  

I propose sending the exception elements in the headers, as in:

DataONE-Exception-Name

DataONE-Exception-DetailCode

DataONE-Exception-Description

DataONE-Exception-PID

I think the TraceInfo is too verbose for headers, so probably shouldn't be modeled.

Subtasks:

Task # 2129: modify ExceptionHandler to handle HEAD exceptions Closed

Related issues:

Related to Infrastructure - Story #2134: Update describe() method Closed 2011-12-13

History

#1 - 2011-12-09 19:33 - Rob Nahf

- Category set to Documentation

- Assignee set to Dave Vieglais

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#2 - 2011-12-13 04:13 - Dave Vieglais

Documentation updated to include suggestion for returning error info using HTTP headers. revision r6173

#3 - 2011-12-13 04:13 - Dave Vieglais

- Status changed from New to Closed

- Target version set to Sprint-2011.50-Block.6
